<script setup lang="ts">
import { defineProps } from "vue";
import { ResidencyData } from "@/views/BirdhouseView/types/models";

defineProps({
  residencyData: {
    type: Array as () => ResidencyData[],
    required: true
  },
});

const formatDate = (timestamp: Date): string => {
  const date = new Date(timestamp);
  const day = date.getDate().toString().padStart(2, '0');
  const month = (date.getMonth() + 1).toString().padStart(2, '0');
  const year = date.getFullYear();

  return `${day}/${month}/${year}`;
};
</script>

<template>
  <div>
    <div v-for="(card, index) in residencyData" :key="index" :class="{ 'mt-6': index !== 0 }">
      <div class="ml-8 mr-8 bg-dark-charcoal-gray rounded-xl">
        <div class="pt-6 pl-5 pb-6 flex">
          <span class="text-white text-base font-poppins mr-9">{{ formatDate(card.timestamp) }}</span>

          <img src="@/assets/icons/bird.svg" alt="Bird" class="mr-2"/>
          <span class="text-white text-base font-normal mr-2.5">{{ card.birds }}</span>

          <img src="@/assets/icons/egg.svg" alt="Egg" class="mr-2"/>
          <span class="text-white text-base font-normal">{{ card.eggs }}</span>
        </div>
      </div>
    </div>
  </div>
</template>
